
-----------------------------------------------------------------------------------------------------------------------------
-- Aktivierung des Protokollmodus im ABI-Modul fr eine ProFI-Datenbank (Version 13.020)
-- Das Skript muss in db_inst ausgefhrt werden.
--
-- 27.03.2012 (ve): Einheitliche Funktion zum Lschen der Trigger.
-- 18.03.2004 (whs): Header-Spalten korrigiert
-----------------------------------------------------------------------------------------------------------------------------


-----------------------------------------------------------------------------------------------------------------------------
-- Tabelle baim_parameter
-----------------------------------------------------------------------------------------------------------------------------
#SALCAE _ProtokollDropTrigger( 'fibu_t[puid]_baimparam', 'baim_parameter' )

#SALCAE _ProtokollCreateTrigger( 'fibu_tu_baimparam', 'baim_parameter', 'fibu_pt_baimparam', 'U' )
#SALCAE _ProtokollCreateTrigger( 'fibu_td_baimparam', 'baim_parameter', 'fibu_pt_baimparam', 'D' )

-----------------------------------------------------------------------------------------------------------------------------
-- Tabelle baim_flexavis
-----------------------------------------------------------------------------------------------------------------------------
#SALCAE _ProtokollDropTrigger( 'fibu_t[puid]_baimflavi', 'baim_flexavis' )
-- Fr SQLBase vorerst nicht, da es Fehler gibt, wenn ein LONG STRING als Parameter in einer stored Procedure verwendet wird.
#IF NOT SQLBase
	#SALCAE _ProtokollCreateTrigger( 'fibu_tu_baimflavi', 'baim_flexavis', 'fibu_pt_baimflavi', 'U' )
	#SALCAE _ProtokollCreateTrigger( 'fibu_td_baimflavi', 'baim_flexavis', 'fibu_pt_baimflavi', 'D' )
#ENDIF