
-----------------------------------------------------------------------------------------------------------------------------
-- Aktivierung des Protokollmodus in der Chefinfo fr eine ProFI-Datenbank (Version 13.020)
-- Das Skript muss in db_inst ausgefhrt werden.
--
-- 27.03.2012 (ve): Einheitliche Funktion zum Lschen der Trigger.
-- 14.vii.2006(whs): Tabelle cif_auswertung
-----------------------------------------------------------------------------------------------------------------------------

-----------------------------------------------------------------------------------------------------------------------------
-- Tabelle cif_auswertung
-----------------------------------------------------------------------------------------------------------------------------
#SALCAE _ProtokollDropTrigger( 'fibu_t[puid]_cifwertung', 'cif_auswertung' )

#SALCAE _ProtokollCreateTrigger( 'fibu_tu_cifwertung', 'cif_auswertung', 'fibu_pt_cifwertung', 'U' )
#SALCAE _ProtokollCreateTrigger( 'fibu_td_cifwertung', 'cif_auswertung', 'fibu_pt_cifwertung', 'D' )
#SALCAE _ProtokollCreateTrigger( 'fibu_ti_cifwertung', 'cif_auswertung', 'fibu_pt_cifwertung', 'I' )


-----------------------------------------------------------------------------------------------------------------------------
-- Tabelle cif_li_zeilenaufbau
-----------------------------------------------------------------------------------------------------------------------------
#SALCAE _ProtokollDropTrigger( 'fibu_t[puid]_cifzeilenaufbau', 'cif_li_zeilenaufbau' )

#SALCAE _ProtokollCreateTrigger( 'fibu_tu_cifzeilenaufbau', 'cif_li_zeilenaufbau', 'fibu_pt_cifzeilenaufbau', 'U' )
#SALCAE _ProtokollCreateTrigger( 'fibu_td_cifzeilenaufbau', 'cif_li_zeilenaufbau', 'fibu_pt_cifzeilenaufbau', 'D' )
#SALCAE _ProtokollCreateTrigger( 'fibu_ti_cifzeilenaufbau', 'cif_li_zeilenaufbau', 'fibu_pt_cifzeilenaufbau', 'I' )
