
-----------------------------------------------------------------------------------------------------------------------------
-- Aktivierung des Protokollmodus in der Kore fr eine ProFI-Datenbank (Version 13.020)
-- Das Skript muss in db_inst ausgefhrt werden.
--
-- 27.03.2012 (ve): Einheitliche Funktion zum Lschen der Trigger.
-- 21.02.2012 (ad): Update-/Delete-Trigger fr kr_beleg aufgenommen.
-- 14.vii.2006(ws): auch mit kr_reportaufbau
-- 21.xii.2004(ws): Protokollierte Tabelle kr_einstellung blieb unverndert
-- 18.iii.2004(ws): Protokollspalten korrigiert
-----------------------------------------------------------------------------------------------------------------------------

-----------------------------------------------------------------------------------------------------------------------------
-- Tabelle kr_einstellung
-----------------------------------------------------------------------------------------------------------------------------
#SALCAE _ProtokollDropTrigger( 'fibu_t[pud]_kreinstell', 'kr_einstellung' )

#SALCAE _ProtokollCreateTrigger( 'fibu_tu_kreinstell', 'kr_einstellung', 'fibu_pt_kreinstell', 'U' )
#SALCAE _ProtokollCreateTrigger( 'fibu_td_kreinstell', 'kr_einstellung', 'fibu_pt_kreinstell', 'D' )


-----------------------------------------------------------------------------------------------------------------------------
-- Tabelle kr_reportaufbau
-----------------------------------------------------------------------------------------------------------------------------
#SALCAE _ProtokollDropTrigger( 'fibu_t[puid]_krepaufbau', 'kr_reportaufbau' )

#SALCAE _ProtokollCreateTrigger( 'fibu_tu_krepaufbau', 'kr_reportaufbau', 'fibu_pt_krepaufbau', 'U' )
#SALCAE _ProtokollCreateTrigger( 'fibu_ti_krepaufbau', 'kr_reportaufbau', 'fibu_pt_krepaufbau', 'I' )
#SALCAE _ProtokollCreateTrigger( 'fibu_td_krepaufbau', 'kr_reportaufbau', 'fibu_pt_krepaufbau', 'D' )


-----------------------------------------------------------------------------------------------------------------------------
-- Tabelle kr_beleg
-----------------------------------------------------------------------------------------------------------------------------
#SALCAE _ProtokollDropTrigger( 'fibu_t[pud]_krbeleg', 'kr_beleg' )

#SALCAE _ProtokollCreateTrigger( 'fibu_tu_krbeleg', 'kr_beleg', 'fibu_pt_krbeleg', 'U' )
#SALCAE _ProtokollCreateTrigger( 'fibu_td_krbeleg', 'kr_beleg', 'fibu_pt_krbeleg', 'D' )
